[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/, dev-python/numcodecs/files/

2025-07-18 Thread Nowa Ammerlaan
commit: 157b305159385f7913a3cb3add46dd10f7a31aa7
Author: Michael Schubert  gmail  com>
AuthorDate: Sun Jul 13 19:38:33 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Fri Jul 18 09:19:10 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=157b3051

dev-python/numcodecs: fix gcc15 build

Signed-off-by: Michael Schubert  gmail.com>
Part-of: https://github.com/gentoo/sci/pull/1368
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 .../numcodecs/files/c-blosc-1.21.4-c23.patch   | 46 ++
 .../numcodecs/files/numcodecs-0.11.0-nocov.patch   | 11 --
 dev-python/numcodecs/numcodecs-0.15.1.ebuild   |  7 +++-
 dev-python/numcodecs/numcodecs-0.16.0.ebuild   |  7 +++-
 4 files changed, 56 insertions(+), 15 deletions(-)

diff --git a/dev-python/numcodecs/files/c-blosc-1.21.4-c23.patch 
b/dev-python/numcodecs/files/c-blosc-1.21.4-c23.patch
new file mode 100644
index 0..d1a086a7d
--- /dev/null
+++ b/dev-python/numcodecs/files/c-blosc-1.21.4-c23.patch
@@ -0,0 +1,46 @@
+https://bugs.gentoo.org/946283
+https://github.com/Blosc/c-blosc/pull/392
+
+From 774f6a0ebaa0c617f7f13ccf6bc89d17eba04654 Mon Sep 17 00:00:00 2001
+From: Georg Semmler 
+Date: Thu, 17 Apr 2025 10:19:25 +0200
+Subject: [PATCH] Drop a slightly outdated type def for boolean type
+
+This cases compilation errors with gcc 15 with the following error
+message:
+
+c-blosc/blosc/shuffle.c:26:15: error: 'bool' cannot be defined via 'typedef'
+  | typedef _Bool bool;
+  |   ^~~~
+c-blosc/blosc/shuffle.c:26:15: note: 'bool' is a keyword with '-std=c23' 
onwards
+
+See https://gcc.gnu.org/gcc-15/porting_to.html for details
+
+I've choosen to remove the typedef as it seems to be unused in this
+file.
+---
+ blosc/shuffle.c | 10 --
+ 1 file changed, 10 deletions(-)
+
+diff --git a/blosc/shuffle.c b/blosc/shuffle.c
+index e680a173..9e3ee3e3 100644
+--- a/c-blosc/blosc/shuffle.c
 b/c-blosc/blosc/shuffle.c
+@@ -20,16 +20,6 @@
+ #include 
+ #endif
+ 
+-/* Visual Studio < 2013 does not have stdbool.h so here it is a replacement: 
*/
+-#if defined __STDC__ && defined __STDC_VERSION__ && __STDC_VERSION__ >= 
199901L
+-/* have a C99 compiler */
+-typedef _Bool bool;
+-#else
+-/* do not have a C99 compiler */
+-typedef unsigned char bool;
+-#endif
+-
+-
+ #if !defined(__clang__) && defined(__GNUC__) && defined(__GNUC_MINOR__) && \
+ __GNUC__ >= 5 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 8)
+ #define HAVE_CPU_FEAT_INTRIN
+

diff --git a/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch 
b/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch
deleted file mode 100644
index 2d5e7f86e..0
--- a/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch
+++ /dev/null
@@ -1,11 +0,0 @@
 a/pyproject.toml
-+++ b/pyproject.toml
-@@ -87,7 +87,7 @@ exclude_lines = [
- ]
- 
- [tool.pytest.ini_options]
--addopts = "--cov=numcodecs --cov-report xml --doctest-modules 
--doctest-glob=*.pyx"
-+addopts = "--pyargs numcodecs --doctest-modules --doctest-glob=*.pyx"
- doctest_optionflags = [
- "NORMALIZE_WHITESPACE",
- "ELLIPSIS",

diff --git a/dev-python/numcodecs/numcodecs-0.15.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
index 93391928a..494960906 100644
--- a/dev-python/numcodecs/numcodecs-0.15.1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
@@ -34,7 +34,10 @@ BDEPEND="
)
 "
 
-PATCHES=( "${FILESDIR}/${P}-nocov.patch" )
+PATCHES=(
+   "${FILESDIR}/${P}-nocov.patch"
+   "${FILESDIR}/c-blosc-1.21.4-c23.patch"
+)
 
 distutils_enable_tests pytest
 
@@ -53,6 +56,6 @@ python_compile() {
 python_test() {
local PY_BUILD_DIR=$(${EPYTHON} -c "import sysconfig; print('lib.' + 
sysconfig.get_platform() +
'-cpython-' + sysconfig.get_python_version().replace('.', 
''))") || die
-   cd "${BUILD_DIR}/build/${PY_BUILD_DIR}" || die
+   cd "${BUILD_DIR}"/build*/"${PY_BUILD_DIR}" || die
epytest --pyargs numcodecs
 }

diff --git a/dev-python/numcodecs/numcodecs-0.16.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
index 3b13933cb..52c5fb53d 100644
--- a/dev-python/numcodecs/numcodecs-0.16.0.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
@@ -29,7 +29,10 @@ DEPEND="
)
 "
 
-PATCHES=( "${FILESDIR}/${PN}-0.15.1-nocov.patch" )
+PATCHES=(
+   "${FILESDIR}/${PN}-0.15.1-nocov.patch"
+   "${FILESDIR}/c-blosc-1.21.4-c23.patch"
+)
 
 distutils_enable_tests pytest
 
@@ -48,6 +51,6 @@ python_compile() {
 python_test() {
local PY_BUILD_DIR=$(${EPYTHON} -c "import sysconfig; print('lib.' + 
sysconfig.get_platform() +
'-cpython-' + sysconfig.get_python_version().replace('.', 
''))") || die
-   cd "${BUILD_DIR}/build/${PY_BUILD_DIR}" || die
+   cd "${BUILD_DIR}/build${#DISTUTILS_WHEELS}/${PY_BUILD_DIR}" || die
epytest --pyargs numcodecs
 }



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-07-18 Thread Nowa Ammerlaan
commit: 45fea6ab8b60f5ffeac2e0ea7e40fe190bbd9dec
Author: Michael Schubert  gmail  com>
AuthorDate: Sun Jul 13 19:51:40 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Fri Jul 18 09:19:11 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=45fea6ab

dev-python/numcodecs: version bump 0.16.1

Signed-off-by: Michael Schubert  gmail.com>
Part-of: https://github.com/gentoo/sci/pull/1368
Closes: https://github.com/gentoo/sci/pull/1368
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 .../numcodecs/{numcodecs-0.16.0.ebuild => numcodecs-0.16.1.ebuild}  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/numcodecs/numcodecs-0.16.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.16.1.ebuild
similarity index 94%
rename from dev-python/numcodecs/numcodecs-0.16.0.ebuild
rename to dev-python/numcodecs/numcodecs-0.16.1.ebuild
index 52c5fb53d..9d7198c45 100644
--- a/dev-python/numcodecs/numcodecs-0.16.0.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.16.1.ebuild
@@ -51,6 +51,6 @@ python_compile() {
 python_test() {
local PY_BUILD_DIR=$(${EPYTHON} -c "import sysconfig; print('lib.' + 
sysconfig.get_platform() +
'-cpython-' + sysconfig.get_python_version().replace('.', 
''))") || die
-   cd "${BUILD_DIR}/build${#DISTUTILS_WHEELS}/${PY_BUILD_DIR}" || die
+   cd "${BUILD_DIR}"/build*/"${PY_BUILD_DIR}" || die
epytest --pyargs numcodecs
 }



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-06-09 Thread Nowa Ammerlaan
commit: c4bf9cdec164a89d1e0fcaded73f4174924505cb
Author: Michael Schubert  gmail  com>
AuthorDate: Mon Apr 21 17:52:20 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Mon Jun  9 07:40:42 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=c4bf9cde

dev-python/numcodecs: add 0.16.0

Signed-off-by: Michael Schubert  gmail.com>
Part-of: https://github.com/gentoo/sci/pull/1344
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 dev-python/numcodecs/numcodecs-0.16.0.ebuild | 53 
 1 file changed, 53 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.16.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
new file mode 100644
index 0..2815da323
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 flag-o-matic pypi
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="cpu_flags_x86_avx2 cpu_flags_x86_sse2"
+
+RDEPEND="
+   dev-python/deprecated[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+DEPEND="
+   test? (
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.15.1-nocov.patch" )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+   filter-lto
+   filter-flags -pipe
+   distutils-r1_python_prepare_all
+}
+
+python_compile() {
+   ! use cpu_flags_x86_avx2 && local -x DISABLE_NUMCODECS_AVX2=1
+   ! use cpu_flags_x86_sse2 && local -x DISABLE_NUMCODECS_SSE2=1
+   distutils-r1_python_compile
+}
+
+python_test() {
+   local PY_BUILD_DIR=$(${EPYTHON} -c "import sysconfig; print('lib.' + 
sysconfig.get_platform() +
+   '-cpython-' + sysconfig.get_python_version().replace('.', 
''))") || die
+   cd "${BUILD_DIR}/build/${PY_BUILD_DIR}" || die
+   epytest --pyargs numcodecs
+}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-06-09 Thread Nowa Ammerlaan
commit: fb19dfd82a6d718cafb30741c8eb42f96cd6cc00
Author: Michael Schubert  gmail  com>
AuthorDate: Tue Apr 22 07:26:19 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Mon Jun  9 07:40:43 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=fb19dfd8

dev-python/numcodecs: zarr needs >=py3_11

Signed-off-by: Michael Schubert  gmail.com>
Part-of: https://github.com/gentoo/sci/pull/1344
Closes: https://github.com/gentoo/sci/pull/1344
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 dev-python/numcodecs/numcodecs-0.15.1.ebuild | 2 +-
 dev-python/numcodecs/numcodecs-0.16.0.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.15.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
index 64a97b5a4..93391928a 100644
--- a/dev-python/numcodecs/numcodecs-0.15.1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_COMPAT=( python3_{11..13} )
 DISTUTILS_EXT=1
 DISTUTILS_USE_PEP517=setuptools
 

diff --git a/dev-python/numcodecs/numcodecs-0.16.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
index 2815da323..3b13933cb 100644
--- a/dev-python/numcodecs/numcodecs-0.16.0.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.16.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_COMPAT=( python3_{11..13} )
 DISTUTILS_EXT=1
 DISTUTILS_USE_PEP517=setuptools
 



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-06-09 Thread Nowa Ammerlaan
commit: bfc14e95add4ebbb1f91eb137d7e5763ce3e0618
Author: Michael Schubert  gmail  com>
AuthorDate: Thu Apr 10 11:54:33 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Mon Jun  9 07:40:41 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=bfc14e95

dev-python/numcodecs: fix test dep

Signed-off-by: Michael Schubert  gmail.com>
Part-of: https://github.com/gentoo/sci/pull/1344
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 dev-python/numcodecs/numcodecs-0.15.1.ebuild | 5 +
 1 file changed, 5 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.15.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
index 30bfa7018..64a97b5a4 100644
--- a/dev-python/numcodecs/numcodecs-0.15.1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
@@ -28,6 +28,11 @@ DEPEND="
dev-python/entrypoints[${PYTHON_USEDEP}]
)
 "
+BDEPEND="
+   test? (
+   >=dev-python/zarr-3[${PYTHON_USEDEP}]
+   )
+"
 
 PATCHES=( "${FILESDIR}/${P}-nocov.patch" )
 



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/files/, dev-python/numcodecs/

2025-03-21 Thread Nowa Ammerlaan
commit: d3ac30de4c90c45ebac7aad2fba90d7cc8b3d977
Author: Michael Schubert  gmail  com>
AuthorDate: Sat Mar  8 09:21:58 2025 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Fri Mar 21 15:39:49 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=d3ac30de

dev-python/numcodecs: version bump 0.15.1

Signed-off-by: Michael Schubert  gmail.com>
Closes: https://github.com/gentoo/sci/pull/1332
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 .../numcodecs/files/numcodecs-0.15.1-nocov.patch   | 13 ++
 dev-python/numcodecs/numcodecs-0.13.0.ebuild   | 49 
 dev-python/numcodecs/numcodecs-0.15.1.ebuild   | 53 ++
 3 files changed, 66 insertions(+), 49 deletions(-)

diff --git a/dev-python/numcodecs/files/numcodecs-0.15.1-nocov.patch 
b/dev-python/numcodecs/files/numcodecs-0.15.1-nocov.patch
new file mode 100644
index 0..0f298d670
--- /dev/null
+++ b/dev-python/numcodecs/files/numcodecs-0.15.1-nocov.patch
@@ -0,0 +1,13 @@
+diff --git a/pyproject.toml b/pyproject.toml
+index 29ef0bf..53d3433 100644
+--- a/pyproject.toml
 b/pyproject.toml
+@@ -127,7 +127,7 @@ exclude_lines = [
+ ignore = ["PY005", "PY007", "PP302", "PP308", "PP309", "GH103", "GH212", 
"PC111", "PC140", "PC160", "PC170", "PC180", "MY100", "RF103"]
+ 
+ [tool.pytest.ini_options]
+-addopts = "-ra --strict-config --strict-markers --cov=numcodecs --cov-report 
xml --doctest-modules --doctest-glob=*.pyx"
++addopts = "-ra --strict-config --strict-markers --doctest-modules 
--doctest-glob=*.pyx"
+ doctest_optionflags = [
+ "NORMALIZE_WHITESPACE",
+ "ELLIPSIS",

diff --git a/dev-python/numcodecs/numcodecs-0.13.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.13.0.ebuild
deleted file mode 100644
index 758939bd2..0
--- a/dev-python/numcodecs/numcodecs-0.13.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..12} )
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-
-inherit distutils-r1 pypi flag-o-matic
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
-"
-DEPEND="
-   test? (
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-EPYTEST_DESELECT=(
-   # python segfault
-   tests/test_blosc.py::test_encode_decode
-   tests/test_blosc.py::test_partial_decode
-   tests/test_blosc.py::test_compress_metainfo
-   tests/test_blosc.py::test_compress_autoshuffle
-   tests/test_blosc.py::test_multiprocessing
-   tests/test_blosc.py::test_backwards_compatibility
-   tests/test_blosc.py::test_max_buffer_size
-)
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
-   filter-lto
-   distutils-r1_python_prepare_all
-}

diff --git a/dev-python/numcodecs/numcodecs-0.15.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
new file mode 100644
index 0..30bfa7018
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.15.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 flag-o-matic pypi
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="cpu_flags_x86_avx2 cpu_flags_x86_sse2"
+
+RDEPEND="
+   dev-python/deprecated[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+DEPEND="
+   test? (
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+PATCHES=( "${FILESDIR}/${P}-nocov.patch" )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+   filter-lto
+   filter-flags -pipe
+   distutils-r1_python_prepare_all
+}
+
+python_compile() {
+   ! use cpu_flags_x86_avx2 && local -x DISABLE_NUMCODECS_AVX2=1
+   ! use cpu_flags_x86_sse2 && local -x DISABLE_NUMCODECS_SSE2=1
+   distutils-r1_python_compile
+}
+
+python_test() {
+   local PY_BUILD_DIR=$(${EPYTHON} -c "import sysconfig; print('lib.' + 
sysconfig.get_platform() +
+   '-cpython-' + sysconfig.get_python_version().replace('.', 
''))") || die
+   cd "${BUILD_DIR}/build/${PY_BUILD_DIR}" || die
+   epytest --pyargs numcodecs
+}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-02-06 Thread Nowa Ammerlaan
commit: 17d8090e063460b7de3859d7e6e56fb6bdcf7b7d
Author: Michael Schubert  gmail  com>
AuthorDate: Sun Jul 21 20:05:43 2024 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Thu Feb  6 14:29:22 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=17d8090e

dev-python/numcodecs: version bump 0.13.0

Signed-off-by: Michael Schubert  gmail.com>
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 dev-python/numcodecs/numcodecs-0.13.0.ebuild | 49 
 1 file changed, 49 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.13.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.13.0.ebuild
new file mode 100644
index 0..758939bd2
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.13.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi flag-o-matic
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+DEPEND="
+   test? (
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+EPYTEST_DESELECT=(
+   # python segfault
+   tests/test_blosc.py::test_encode_decode
+   tests/test_blosc.py::test_partial_decode
+   tests/test_blosc.py::test_compress_metainfo
+   tests/test_blosc.py::test_compress_autoshuffle
+   tests/test_blosc.py::test_multiprocessing
+   tests/test_blosc.py::test_backwards_compatibility
+   tests/test_blosc.py::test_max_buffer_size
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+   filter-lto
+   distutils-r1_python_prepare_all
+}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2025-02-06 Thread Nowa Ammerlaan
commit: 58aee3672e00f05bdaca5aeaf0205bad9cb85f37
Author: Michael Schubert  gmail  com>
AuthorDate: Mon Jul 22 09:49:58 2024 +
Commit: Nowa Ammerlaan  gentoo  org>
CommitDate: Thu Feb  6 14:29:23 2025 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=58aee367

dev-python/numcodecs: drop outdated ebuilds

Signed-off-by: Michael Schubert  gmail.com>
Closes: https://github.com/gentoo/sci/pull/1289
Signed-off-by: Nowa Ammerlaan  gentoo.org>

 dev-python/numcodecs/numcodecs-0.11.0.ebuild| 49 -
 dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild | 43 --
 2 files changed, 92 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.11.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.11.0.ebuild
deleted file mode 100644
index 500a52b89..0
--- a/dev-python/numcodecs/numcodecs-0.11.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1 pypi
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
-"
-
-DEPEND="
-   test? (
-   ${RDEPEND}
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-PATCHES=(
-   "${FILESDIR}/${P}-nocov.patch"
-)
-
-# Reported upstream:
-# https://github.com/zarr-developers/numcodecs/issues/436
-EPYTEST_DESELECT=(
-   tests/test_json.py::test_non_numpy_inputs
-   tests/test_msgpacks.py::test_non_numpy_inputs
-)
-
-distutils_enable_tests pytest
-
-python_test() {
-   cd "${T}" || die
-   epytest --pyargs numcodecs
-}

diff --git a/dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild 
b/dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild
deleted file mode 100644
index 3d20684ba..0
--- a/dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1 pypi
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
-"
-DEPEND="
-   test? (
-   ${RDEPEND}
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-distutils_enable_tests pytest
-
-python_compile() {
-   local -x DISABLE_NUMCODECS_AVX2=1
-   local -x DISABLE_NUMCODECS_SSE2=1
-   distutils-r1_python_compile
-}
-
-python_test() {
-   cd "${T}" || die
-   epytest --pyargs numcodecs
-}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2024-02-09 Thread Horea Christian
commit: a9f8225816540de4b0d3490af00b1cecda36aa03
Author: Horea Christian  chymera  eu>
AuthorDate: Fri Feb  9 18:21:49 2024 +
Commit: Horea Christian  gmail  com>
CommitDate: Fri Feb  9 18:21:49 2024 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=a9f82258

dev-python/numcodecs: fixed broken lz4 import issue

See also: 
https://github.com/zarr-developers/numcodecs/issues/506#issuecomment-1936355213

Signed-off-by: Horea Christian  chymera.eu>

 .../{numcodecs-0.12.1-r1.ebuild => numcodecs-0.12.1-r2.ebuild}  | 6 ++
 1 file changed, 6 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild 
b/dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild
similarity index 86%
rename from dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild
rename to dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild
index 4483f1f9f..3d20684ba 100644
--- a/dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.12.1-r2.ebuild
@@ -31,6 +31,12 @@ DEPEND="
 
 distutils_enable_tests pytest
 
+python_compile() {
+   local -x DISABLE_NUMCODECS_AVX2=1
+   local -x DISABLE_NUMCODECS_SSE2=1
+   distutils-r1_python_compile
+}
+
 python_test() {
cd "${T}" || die
epytest --pyargs numcodecs



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2024-02-08 Thread Horea Christian
commit: 10514d15e8ec5d6dce58eedc6cbb5bc7dbac0644
Author: Horea Christian  chymera  eu>
AuthorDate: Thu Feb  8 20:51:46 2024 +
Commit: Horea Christian  gmail  com>
CommitDate: Thu Feb  8 20:51:46 2024 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=10514d15

dev-python/numcodecs: corrected dependency list

Signed-off-by: Horea Christian  chymera.eu>

 .../numcodecs/{numcodecs-0.12.1.ebuild => numcodecs-0.12.1-r1.ebuild}   | 2 --
 1 file changed, 2 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.12.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild
similarity index 94%
rename from dev-python/numcodecs/numcodecs-0.12.1.ebuild
rename to dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild
index 9adba559f..4483f1f9f 100644
--- a/dev-python/numcodecs/numcodecs-0.12.1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.12.1-r1.ebuild
@@ -18,12 +18,10 @@ IUSE="test"
 RDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
dev-python/entrypoints[${PYTHON_USEDEP}]
-   dev-python/hdmf-zarr[${PYTHON_USEDEP}]
dev-python/msgpack[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/py-cpuinfo[${PYTHON_USEDEP}]
 "
-
 DEPEND="
test? (
${RDEPEND}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2024-02-07 Thread Horea Christian
commit: a36119808ae75face220ce5592d97de746401f91
Author: Horea Christian  chymera  eu>
AuthorDate: Wed Feb  7 22:04:34 2024 +
Commit: Horea Christian  gmail  com>
CommitDate: Wed Feb  7 22:04:34 2024 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=a3611980

dev-python/numcodecs: add 0.12.1

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.12.1.ebuild | 39 
 1 file changed, 39 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.12.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.12.1.ebuild
new file mode 100644
index 0..9adba559f
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.12.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   dev-python/hdmf-zarr[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+   test? (
+   ${RDEPEND}
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+   cd "${T}" || die
+   epytest --pyargs numcodecs
+}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2023-05-17 Thread Horea Christian
commit: 933cf41235e6d6f253eb18ea76eb0115e7b1b72b
Author: Horea Christian  chymera  eu>
AuthorDate: Wed May 17 18:28:22 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Wed May 17 18:28:22 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=933cf412

dev-python/numcodecs: fixed test detection issue

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.11.0.ebuild | 16 
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.11.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.11.0.ebuild
index 53c46ebe9..500a52b89 100644
--- a/dev-python/numcodecs/numcodecs-0.11.0.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.11.0.ebuild
@@ -14,10 +14,6 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="test"
-# Fails to collect tests for yet unknown reasons:
-# https://github.com/zarr-developers/numcodecs/issues/304
-# --pyargs numcodecs fix proposed in thread doesn't seem to take effect.
-RESTRICT="test"
 
 RDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
@@ -38,4 +34,16 @@ PATCHES=(
"${FILESDIR}/${P}-nocov.patch"
 )
 
+# Reported upstream:
+# https://github.com/zarr-developers/numcodecs/issues/436
+EPYTEST_DESELECT=(
+   tests/test_json.py::test_non_numpy_inputs
+   tests/test_msgpacks.py::test_non_numpy_inputs
+)
+
 distutils_enable_tests pytest
+
+python_test() {
+   cd "${T}" || die
+   epytest --pyargs numcodecs
+}



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2023-05-15 Thread Horea Christian
commit: d1ee60b98f709e28539d27d7defbdb2181c053aa
Author: Horea Christian  chymera  eu>
AuthorDate: Mon May 15 16:04:38 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Mon May 15 16:04:38 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=d1ee60b9

dev-python/numcodecs: drop 0.10.0

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.10.0.ebuild | 34 
 1 file changed, 34 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.10.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.10.0.ebuild
deleted file mode 100644
index a47b6ec77..0
--- a/dev-python/numcodecs/numcodecs-0.10.0.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-inherit distutils-r1 pypi
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-# Fails to collect tests for yet unknown reasons:
-# https://github.com/zarr-developers/numcodecs/issues/304
-RESTRICT="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/cython[${PYTHON_USEDEP}]
-"
-
-DEPEND="
-   test? (
-   ${RDEPEND}
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-distutils_enable_tests pytest



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/, dev-python/numcodecs/files/

2023-05-15 Thread Horea Christian
commit: 7f2376277fab811d768004e151989b24f99fc365
Author: Horea Christian  chymera  eu>
AuthorDate: Mon May 15 16:01:08 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Mon May 15 16:01:08 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=7f237627

dev-python/numcodecs: add 0.11.0

Signed-off-by: Horea Christian  chymera.eu>

 .../numcodecs/files/numcodecs-0.11.0-nocov.patch   | 11 ++
 dev-python/numcodecs/numcodecs-0.11.0.ebuild   | 41 ++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch 
b/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch
new file mode 100644
index 0..2d5e7f86e
--- /dev/null
+++ b/dev-python/numcodecs/files/numcodecs-0.11.0-nocov.patch
@@ -0,0 +1,11 @@
+--- a/pyproject.toml
 b/pyproject.toml
+@@ -87,7 +87,7 @@ exclude_lines = [
+ ]
+ 
+ [tool.pytest.ini_options]
+-addopts = "--cov=numcodecs --cov-report xml --doctest-modules 
--doctest-glob=*.pyx"
++addopts = "--pyargs numcodecs --doctest-modules --doctest-glob=*.pyx"
+ doctest_optionflags = [
+ "NORMALIZE_WHITESPACE",
+ "ELLIPSIS",

diff --git a/dev-python/numcodecs/numcodecs-0.11.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.11.0.ebuild
new file mode 100644
index 0..53c46ebe9
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.11.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# Fails to collect tests for yet unknown reasons:
+# https://github.com/zarr-developers/numcodecs/issues/304
+# --pyargs numcodecs fix proposed in thread doesn't seem to take effect.
+RESTRICT="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/py-cpuinfo[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+   test? (
+   ${RDEPEND}
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+PATCHES=(
+   "${FILESDIR}/${P}-nocov.patch"
+)
+
+distutils_enable_tests pytest



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2023-05-15 Thread Horea Christian
commit: 41833980f06a20280b562d42f830b56af2574a94
Author: Horea Christian  chymera  eu>
AuthorDate: Mon May 15 16:01:18 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Mon May 15 16:01:18 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=41833980

dev-python/numcodecs: drop 0.9.1

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.9.1.ebuild | 34 -
 1 file changed, 34 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.9.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.9.1.ebuild
deleted file mode 100644
index a47b6ec77..0
--- a/dev-python/numcodecs/numcodecs-0.9.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-inherit distutils-r1 pypi
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-# Fails to collect tests for yet unknown reasons:
-# https://github.com/zarr-developers/numcodecs/issues/304
-RESTRICT="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/cython[${PYTHON_USEDEP}]
-"
-
-DEPEND="
-   test? (
-   ${RDEPEND}
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-distutils_enable_tests pytest



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2023-05-02 Thread Horea Christian
commit: da58601e6e018fbd2bc0cb5c7d266d5424df539d
Author: Horea Christian  chymera  eu>
AuthorDate: Tue May  2 22:34:49 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Tue May  2 22:34:49 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=da58601e

dev-python/numcodecs: update SRC_URI

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.10.0.ebuild | 7 +++
 dev-python/numcodecs/numcodecs-0.9.1.ebuild  | 7 +++
 2 files changed, 6 insertions(+), 8 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.10.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.10.0.ebuild
index b2030d332..a47b6ec77 100644
--- a/dev-python/numcodecs/numcodecs-0.10.0.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.10.0.ebuild
@@ -1,14 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
-inherit distutils-r1
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1 pypi
 
 DESCRIPTION="Data storage buffer compression and transformation codecs"
 HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"

diff --git a/dev-python/numcodecs/numcodecs-0.9.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.9.1.ebuild
index b2030d332..a47b6ec77 100644
--- a/dev-python/numcodecs/numcodecs-0.9.1.ebuild
+++ b/dev-python/numcodecs/numcodecs-0.9.1.ebuild
@@ -1,14 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
-inherit distutils-r1
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1 pypi
 
 DESCRIPTION="Data storage buffer compression and transformation codecs"
 HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2023-05-02 Thread Horea Christian
commit: 6da653373b990cabe12e7aedd8cc2425056ced15
Author: Horea Christian  chymera  eu>
AuthorDate: Tue May  2 22:32:36 2023 +
Commit: Horea Christian  gmail  com>
CommitDate: Tue May  2 22:32:36 2023 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=6da65337

dev-python/numcodecs: drop 0.9.0

Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.9.0.ebuild | 35 -
 1 file changed, 35 deletions(-)

diff --git a/dev-python/numcodecs/numcodecs-0.9.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.9.0.ebuild
deleted file mode 100644
index b2030d332..0
--- a/dev-python/numcodecs/numcodecs-0.9.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_10 )
-inherit distutils-r1
-
-DESCRIPTION="Data storage buffer compression and transformation codecs"
-HOMEPAGE="https://github.com/zarr-developers/numcodecs";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-# Fails to collect tests for yet unknown reasons:
-# https://github.com/zarr-developers/numcodecs/issues/304
-RESTRICT="test"
-
-RDEPEND="
-   dev-python/cython[${PYTHON_USEDEP}]
-   dev-python/msgpack[${PYTHON_USEDEP}]
-   dev-python/numpy[${PYTHON_USEDEP}]
-   dev-python/cython[${PYTHON_USEDEP}]
-"
-
-DEPEND="
-   test? (
-   ${RDEPEND}
-   dev-python/entrypoints[${PYTHON_USEDEP}]
-   )
-"
-
-distutils_enable_tests pytest



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2022-07-12 Thread Horea Christian
commit: 712b4f602931ebf64d0da97e75f2ab628ad50e80
Author: Horea Christian  chymera  eu>
AuthorDate: Tue Jul 12 17:15:12 2022 +
Commit: Horea Christian  gmail  com>
CommitDate: Tue Jul 12 17:15:12 2022 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=712b4f60

dev-python/numcodecs: version bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/numcodecs-0.10.0.ebuild | 35 
 1 file changed, 35 insertions(+)

diff --git a/dev-python/numcodecs/numcodecs-0.10.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.10.0.ebuild
new file mode 100644
index 0..7219b5b7b
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.10.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# Fails to collect tests for yet unknown reasons:
+# https://github.com/zarr-developers/numcodecs/issues/304
+RESTRICT="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/cython[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+   test? (
+   ${RDEPEND}
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+distutils_enable_tests pytest



[gentoo-commits] proj/sci:master commit in: dev-python/numcodecs/

2022-03-26 Thread Horea Christian
commit: 3b13bd5b94cee69f17c8cc4f1de7cd323e688afc
Author: Horea Christian  chymera  eu>
AuthorDate: Sun Mar 27 02:25:05 2022 +
Commit: Horea Christian  gmail  com>
CommitDate: Sun Mar 27 02:25:05 2022 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=3b13bd5b

dev-python/numcodecs: new package (DANDI stack)

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Horea Christian  chymera.eu>

 dev-python/numcodecs/metadata.xml   | 16 +
 dev-python/numcodecs/numcodecs-0.9.0.ebuild | 35 +
 dev-python/numcodecs/numcodecs-0.9.1.ebuild | 35 +
 3 files changed, 86 insertions(+)

diff --git a/dev-python/numcodecs/metadata.xml 
b/dev-python/numcodecs/metadata.xml
new file mode 100644
index 0..ab018028a
--- /dev/null
+++ b/dev-python/numcodecs/metadata.xml
@@ -0,0 +1,16 @@
+
+http://www.gentoo.org/dtd/metadata.dtd";>
+
+   
+   [email protected]
+   Horea Christian
+   
+   
+   [email protected]
+   Gentoo Science Project
+   
+   
+   zarr-developers/numcodecs
+   numcodecs
+   
+

diff --git a/dev-python/numcodecs/numcodecs-0.9.0.ebuild 
b/dev-python/numcodecs/numcodecs-0.9.0.ebuild
new file mode 100644
index 0..7219b5b7b
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.9.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# Fails to collect tests for yet unknown reasons:
+# https://github.com/zarr-developers/numcodecs/issues/304
+RESTRICT="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/cython[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+   test? (
+   ${RDEPEND}
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+distutils_enable_tests pytest

diff --git a/dev-python/numcodecs/numcodecs-0.9.1.ebuild 
b/dev-python/numcodecs/numcodecs-0.9.1.ebuild
new file mode 100644
index 0..7219b5b7b
--- /dev/null
+++ b/dev-python/numcodecs/numcodecs-0.9.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Data storage buffer compression and transformation codecs"
+HOMEPAGE="https://github.com/zarr-developers/numcodecs";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# Fails to collect tests for yet unknown reasons:
+# https://github.com/zarr-developers/numcodecs/issues/304
+RESTRICT="test"
+
+RDEPEND="
+   dev-python/cython[${PYTHON_USEDEP}]
+   dev-python/msgpack[${PYTHON_USEDEP}]
+   dev-python/numpy[${PYTHON_USEDEP}]
+   dev-python/cython[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+   test? (
+   ${RDEPEND}
+   dev-python/entrypoints[${PYTHON_USEDEP}]
+   )
+"
+
+distutils_enable_tests pytest